Name:			perl-CGI-Ajax
Version:		0.707
Release:		1%{?dist}
Summary:		Perl-specific system for writing Asynchronous web applications
License:		Distributable, see LICENSE
Group:			Development/Libraries
URL:			http://search.cpan.org/dist/CGI-Ajax/
Source0:		http://www.cpan.org/modules/by-module/CGI/CGI-Ajax-%{version}.tar.gz
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:		noarch
BuildRequires:	perl(CGI)
BuildRequires:	perl(Class::Accessor)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::Simple)
Requires:		perl(CGI)
Requires:		perl(Class::Accessor)
Requires:		perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
CGI::Ajax is an object-oriented module that provides a unique mechanism for
using perl code asynchronously from javascript- enhanced HTML pages. CGI::Ajax
unburdens the user from having to write extensive javascript, except for
associating an exported method with a document-defined event (such as onClick,
onKeyUp, etc). CGI::Ajax also mixes well with HTML containing more complex
javascript.

CGI::Ajax supports methods that return single results or multiple results to
the web page, and supports returning values to multiple DIV elements on the
HTML page.

Using CGI::Ajax, the URL for the HTTP GET/POST request is automatically
generated based on HTML layout and events, and the page is then dynamically
updated with the output from the perl function. Additionally, CGI::Ajax
supports mapping URL's to a CGI::Ajax function name, so you can separate your
code processing over multiple scripts.

Other than using the Class::Accessor module to generate CGI::Ajax' accessor
methods, CGI::Ajax is completely self-contained - it does not require you to
install a larger package or a full Content Management System, etc.

We have added support for other CGI handler/decoder modules, like CGI::Simple
or CGI::Minimal, but we can't test these since we run mod_perl2 only here.
CGI::Ajax checks to see if a header() method is available to the CGI object,
and then uses it. If method() isn't available, it creates it's own minimal
header.

A primary goal of CGI::Ajax is to keep the module streamlined and maximally
flexible. We are trying to keep the generated javascript code to a minimum,
but still provide users with a variety of methods for deploying CGI::Ajax.
And VERY little user javascript.

%prep
%setup -q -n CGI-Ajax-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Jun 19 2012 asides@lbl.gov 0.707-1
- Specfile autogenerated by cpanspec 1.77.
